Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.domain.geoloc.entity
Class CitySubdivision

    java.lang.Object
      com.gisgraphy.domain.geoloc.entity.GisFeature
          com.gisgraphy.domain.geoloc.entity.CitySubdivision

All Implemented Interfaces:
  ZipCodeAware

    public class CitySubdivision

extends GisFeature
implements ZipCodeAware

Represents a city subdivision Object

Author:
  David Masclet

Field Summary

Fields inherited from class com.gisgraphy.domain.geoloc.entity.GisFeature
`countryDao, LOCATION_COLUMN_NAME, logger`

Fields inherited from interface com.gisgraphy.domain.geoloc.entity.ZipCodeAware
`SETTER_METHOD_NAME`

Constructor Summary
`CitySubdivision()` Default constructor (Needed by CGLib)
`CitySubdivision(GisFeature gisFeature)` Constructor that populate the `CitySubdivision` with the gisFeature fields

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.Integer` | `getZipCode()`
`int` | `hashCode()`
`void` | `populate(GisFeature gisFeature)` Populate all the field / association of the current gisFeature with The Value of The specified One.
`void` | `setZipCode(java.lang.Integer zipCode)` Set The zipCode for the city

Methods inherited from class com.gisgraphy.domain.geoloc.entity.GisFeature
`addAlternateName, addAlternateNames, distance, getAdm, getAdm1Code, getAdm1Name, getAdm2Code, getAdm2Name, getAdm3Code, getAdm3Name, getAdm4Code, getAdm4Name, getAlternateNames, getAsciiName, getCountry, getCountryCode, getElevation, getFeatureClass, getFeatureCode, getFeatureId, getFullyQualifiedName, getGtopo30, getId, getLatitude, getLocation, getLongitude, getModificationDate, getName, getPopulation, getSource, getTimezone, isAdm, isCity, isCountry, isFullTextSearchable, setAdm, setAdm1Code, setAdm1Name, setAdm2Code, setAdm2Name, setAdm3Code, setAdm3Name, setAdm4Code, setAdm4Name, setAlternateNames, setAsciiName, setCountryCode, setElevation, setFeatureClass, setFeatureCode, setFeatureId, setGtopo30, setId, setLocation, setModificationDate, setName, setPopulation, setSource, setTimezone, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CitySubdivision

    public CitySubdivision(GisFeature gisFeature)

  Constructor that populate the `CitySubdivision` with the gisFeature fields

  Parameters:
    `gisFeature` - The gisFeature from which we want to populate the CitySubdivision

### CitySubdivision

    public CitySubdivision()

  Default constructor (Needed by CGLib)

Method Detail

### setZipCode

    public void setZipCode(java.lang.Integer zipCode)

  Description copied from interface: `ZipCodeAware`
  Set The zipCode for the city

  Specified by:
    `setZipCode` in interface `ZipCodeAware`
  Parameters:
    `zipCode` - The zipCode for the City

### getZipCode

    public java.lang.Integer getZipCode()

  Specified by:
    `getZipCode` in interface `ZipCodeAware`
  Returns:
    The zipCode for The city

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `GisFeature`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `GisFeature`

### populate

    public void populate(GisFeature gisFeature)

  Description copied from class: `GisFeature`
  Populate all the field / association of the current gisFeature with The Value of The specified One.

  Overrides:
    `populate` in class `GisFeature`
  Parameters:
    `gisFeature` - the gisFeature to populate with

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.